version: "3"
services:
  kaique-investimentos:
    image: registry-itau.mastertech.com.br/kaique-apiinvest:latest
    ports:
      - "8000:8080"
    environment: 
      - MYSQL_HOST=db-kaique
      - MYSQL_PORT=3306
    depends_on:
      - db-kaique

  db-kaique:
    image: mariadb
    environment:
      - MYSQL_DATABASE=investimento
      - MYSQL_ROOT_PASSWORD=pass123
      - MYSQL_PORT=3306

    volumes:
      - /home/ubuntu/app/data:/data
